Bug 188614 - fixes in %post and spec cleanups
fixes in %post and spec cleanups
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-11 14:41 EDT by kloczek
Modified: 2014-03-16 22:59 EDT (History)
2 users (show)

See Also:
Fixed In Version: 8.38-1
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-02 20:36:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
initscripts.spec patch (2.70 KB, patch)
2006-04-11 14:41 EDT, kloczek
no flags Details | Diff

  None (edit)
Description kloczek 2006-04-11 14:41:29 EDT
- fixed sed regexp in %post
  $ sed -e '/BOOTUP=color/BOOTUP=serial/' /etc/sysconfig/init
  sed: -e expression #1, char 15: unknown command: `B'
- use ony sed in %post (mktmp can be removed from Prereq also using mktemp
  way with sed do not preserved SELinux context on /etc/sysconfig/init,
- use %find_lang macro in %install,
- s/fileutils, sh-utils/coreutils/ in Prereq,
- few other minor cleanups/simplifications.
Comment 1 kloczek 2006-04-11 14:41:29 EDT
Created attachment 127631 [details]
initscripts.spec patch
Comment 2 Miloslav Trmač 2006-07-29 16:23:54 EDT
Thanks, mostly applied in CVS.

(In the future, please don't combine real bug fixes with unrelated formatting
changes, to make reviewing easier).

Note You need to log in before you can comment on or make changes to this bug.